Unable to get buddyIconFilename

RESOLVED INVALID

Status

Chat Core
General
--
minor
RESOLVED INVALID
5 years ago
5 years ago

People

(Reporter: Mic, Unassigned)

Tracking

trunk
x86
Windows XP

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 years ago
*** Original post on bio 601 at 2010-11-25 20:22:00 UTC ***

It seems that it fails to get the buddyIconFilename on the first (few?) request(s). Later/successive lookups are working. Maybe something fails to report existing icons fast enough the first time?
*** Original post on bio 601 at 2010-12-16 08:55:43 UTC ***

It may happen that in some cases the icons are retrieved by libpurple only when we request it for the first time, so when the icon is not yet in the cache, you fail to get it.

That could be fixed if we add a notification when the buddy icon changes (I suppose it would be fired too when it's received for the first time).
*** Original post on bio 601 at 2011-05-19 13:20:40 UTC ***

I've pushed https://hg.instantbird.org/instantbird/rev/13baeefb20d8 to add notifications when a buddy icon is changed. Not sure if there's anything else that we can do here.
*** Original post on bio 601 at 2011-09-09 10:17:05 UTC ***

Don't hesitate to reopen if there's actually something actionable to do here :).
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.